Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 10759)
@@ -164,5 +164,5 @@
       READ  ( numnam_cfg, nam_asminc, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_asminc in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nam_asminc )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nam_asminc )
 
       ! Control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/bias.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/bias.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ASM/bias.F90	(revision 10759)
@@ -255,5 +255,5 @@
       READ  ( numnam_cfg, nambias, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambias in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nambias )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nambias )
 
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 10759)
@@ -532,5 +532,5 @@
             READ  ( numnam_cfg, nambdy_dta, IOSTAT = ios, ERR = 902 )
 902         IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy_dta in configuration namelist', lwp )
-            IF(lwm) WRITE ( numond, nambdy_dta )
+            IF(lwm .AND. nprint > 2) WRITE ( numond, nambdy_dta )
 
             cn_dir_array(ib_bdy) = cn_dir
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 10759)
@@ -131,5 +131,5 @@
       READ  ( numnam_cfg, nambdy, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nambdy )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nambdy )
 
       ! -----------------------------------------
@@ -420,5 +420,5 @@
             READ  ( numnam_cfg, nambdy_index, IOSTAT = ios, ERR = 904 )
 904         IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy_index in configuration namelist', lwp )
-            IF(lwm) WRITE ( numond, nambdy_index )
+            IF(lwm .AND. nprint > 2) WRITE ( numond, nambdy_index )
 
             SELECT CASE ( TRIM(ctypebdy) )
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 10759)
@@ -118,5 +118,5 @@
             READ  ( numnam_cfg, nambdy_tide, IOSTAT = ios, ERR = 902 )
 902         IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy_tide in configuration namelist', lwp )
-            IF(lwm) WRITE ( numond, nambdy_tide )
+            IF(lwm .AND. nprint > 2) WRITE ( numond, nambdy_tide )
             !                                               ! Parameter control and print
             IF(lwp) WRITE(numout,*) '  '
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/C1D/c1d.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/C1D/c1d.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/C1D/c1d.F90	(revision 10759)
@@ -56,5 +56,5 @@
       READ  ( numnam_cfg, namc1d, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namc1d in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namc1d )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namc1d )
 
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/C1D/dtauvd.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/C1D/dtauvd.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/C1D/dtauvd.F90	(revision 10759)
@@ -73,5 +73,5 @@
       READ  ( numnam_cfg, namc1d_uvd, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namc1d_uvd in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namc1d_uvd )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namc1d_uvd )
 
       !                             ! force the initialization when dyndmp is used
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/C1D/dyndmp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/C1D/dyndmp.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/C1D/dyndmp.F90	(revision 10759)
@@ -87,5 +87,5 @@
       READ  ( numnam_cfg, namc1d_dyndmp, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namc1d_dyndmp in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namc1d_dyndmp )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namc1d_dyndmp )
 
       IF(lwp) THEN                           ! control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/CRS/crsini.F90	(revision 10759)
@@ -93,5 +93,5 @@
       READ  ( numnam_cfg, namcrs, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namcrs in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namcrs )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namcrs )
 
      IF(lwp) THEN
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diadct.F90	(revision 10759)
@@ -151,5 +151,5 @@
      READ  ( numnam_cfg, namdct, IOSTAT = ios, ERR = 902 )
 902  IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdct in configuration namelist', lwp )
-     IF(lwm) WRITE ( numond, namdct )
+     IF(lwm .AND. nprint >2) WRITE ( numond, namdct )
 
      IF( lwp ) THEN
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diaharm.F90	(revision 10759)
@@ -95,5 +95,5 @@
       READ  ( numnam_cfg, nam_diaharm, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_diaharm in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nam_diaharm )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nam_diaharm )
       !
       IF(lwp) THEN
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diahsb.F90	(revision 10759)
@@ -361,5 +361,5 @@
       READ  ( numnam_cfg, namhsb, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namhsb in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namhsb )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namhsb )
 
       !
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DIA/diaptr.F90	(revision 10759)
@@ -469,5 +469,5 @@
       READ  ( numnam_cfg, namptr, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namptr in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namptr )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namptr )
 
       IF(lwp) THEN                     ! Control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 10759)
@@ -160,5 +160,5 @@
       READ  ( numnam_cfg, namrun, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namrun in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namrun )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namrun )
       !
       IF(lwp) THEN                  ! control print
@@ -251,5 +251,5 @@
       READ  ( numnam_cfg, namdom, IOSTAT = ios, ERR = 904 )
 904   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdom in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namdom )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namdom )
 
       IF(lwp) THEN
@@ -313,5 +313,5 @@
       READ  ( numnam_cfg, namcla, IOSTAT = ios, ERR = 906 )
 906   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namcla in configuration namelist', lwp )
-      IF(lwm) WRITE( numond, namcla )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namcla )
 
       IF(lwp) THEN
@@ -337,5 +337,5 @@
       READ  ( numnam_cfg, namnc4, IOSTAT = ios, ERR = 908 )
 908   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namnc4 in configuration namelist', lwp )
-      IF(lwm) WRITE( numond, namnc4 )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namnc4 )
 
       IF(lwp) THEN                        ! control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 10759)
@@ -157,5 +157,5 @@
       READ  ( numnam_cfg, namlbc, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namlbc in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namlbc )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namlbc )
       
       IF(lwp) THEN                  ! control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domvvl.F90	(revision 10759)
@@ -955,5 +955,5 @@
       READ  ( numnam_cfg, nam_vvl, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_vvl in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nam_vvl )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nam_vvl )
 
       IF(lwp) THEN                    ! Namelist print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 10759)
@@ -114,5 +114,5 @@
       READ  ( numnam_cfg, namzgr, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzgr in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzgr )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzgr )
 
       IF(lwp) THEN                     ! Control print
@@ -1829,5 +1829,5 @@
       READ  ( numnam_cfg, namzgr_sco, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzgr_sco in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzgr_sco )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzgr_sco )
 
       IF(lwp) THEN                           ! control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/dtatsd.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/dtatsd.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DOM/dtatsd.F90	(revision 10759)
@@ -77,5 +77,5 @@
       READ  ( numnam_cfg, namtsd, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtsd in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namtsd )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namtsd )
 
       IF( PRESENT( ld_tradmp ) )   ln_tsd_tradmp = .TRUE.     ! forces the initialization when tradmp is used
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynadv.F90	(revision 10759)
@@ -108,5 +108,5 @@
       READ  ( numnam_cfg, namdyn_adv, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_adv in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namdyn_adv )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namdyn_adv )
 
       IF(lwp) THEN                    ! Namelist print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynhpg.F90	(revision 10759)
@@ -176,5 +176,5 @@
       READ  ( numnam_cfg, namdyn_hpg, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_hpg in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namdyn_hpg )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namdyn_hpg )
       !
       IF(lwp) THEN                   ! Control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynnept.F90	(revision 10759)
@@ -126,5 +126,5 @@
       READ  ( numnam_cfg, namdyn_nept, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_nept in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namdyn_nept )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namdyn_nept )
 
       IF(lwp) THEN                      ! Control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynspg_ts.F90	(revision 10759)
@@ -1088,5 +1088,5 @@
       READ  ( numnam_cfg, namsplit, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsplit in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsplit )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsplit )
       !
       !         ! Max courant number for ext. grav. waves
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/DYN/dynvor.F90	(revision 10759)
@@ -731,5 +731,5 @@
       READ  ( numnam_cfg, namdyn_vor, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_vor in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namdyn_vor )
+      IF(lwm .AND. nprint >2) WRITE ( numond, namdyn_vor )
 
       IF(lwp) THEN                    ! Namelist print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/FLO/floats.F90	(revision 10759)
@@ -96,5 +96,5 @@
       READ  ( numnam_cfg, namflo, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namflo in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namflo )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namflo )
       !
       IF(lwp) THEN                  ! control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90	(revision 10759)
@@ -375,5 +375,5 @@
       READ  ( numnam_cfg, namberg, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namberg in configuration namelist', lwp )
-      IF(lwm .AND. nprint>3) WRITE ( numond, namberg )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namberg )
 #else
       IF(lwp) THEN
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/lib_mpp.F90	(revision 10759)
@@ -319,5 +319,5 @@
       mynode = mpprank
 
-      IF( mynode == 0 ) THEN
+      IF( mynode == 0 .AND. nprint > 2) THEN
          CALL ctl_opn( kumond, TRIM(ldname), 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. , 1 )
          WRITE(kumond, nammpp)      
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LBC/mppini_2.h90	(revision 10759)
@@ -87,5 +87,5 @@
       READ  ( numnam_cfg, namzgr, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzgr in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzgr )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzgr )
 
       IF(lwp)WRITE(numout,*)
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldfdyn.F90	(revision 10759)
@@ -81,5 +81,5 @@
       READ  ( numnam_cfg, namdyn_ldf, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_ldf in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namdyn_ldf )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namdyn_ldf )
 
       IF(lwp) THEN                      ! Parameter print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/LDF/ldftra.F90	(revision 10759)
@@ -85,5 +85,5 @@
       READ  ( numnam_cfg, namtra_ldf, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_ldf in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namtra_ldf )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namtra_ldf )
 
       IF(lwp) THEN                      ! control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/OBS/diaobs.F90	(revision 10759)
@@ -244,5 +244,5 @@
       READ  ( numnam_cfg, namobs, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namobs in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namobs )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namobs )
 
       ! Count number of files for each type
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/albedo.F90	(revision 10759)
@@ -260,5 +260,5 @@
       READ  ( numnam_cfg, namsbc_alb, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_alb in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsbc_alb )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_alb )
       !
       IF(lwp) THEN                      ! Control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_rnf_1d.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_rnf_1d.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_rnf_1d.F90	(revision 10759)
@@ -78,5 +78,5 @@
       READ  ( numnam_cfg, nam_cpl_rnf_1d, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_cpl_rnf_1d in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nam_cpl_rnf_1d )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nam_cpl_rnf_1d )
 
       !                                               ! Parameter control and print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcana.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcana.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcana.F90	(revision 10759)
@@ -81,5 +81,5 @@
          READ  ( numnam_cfg, namsbc_ana, IOSTAT = ios, ERR = 902 )
 902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_ana in configuration namelist', lwp )
-         IF(lwm) WRITE ( numond, namsbc_ana )
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_ana )
          !
          IF(lwp) WRITE(numout,*)' '
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcapr.F90	(revision 10759)
@@ -84,5 +84,5 @@
          READ  ( numnam_cfg, namsbc_apr, IOSTAT = ios, ERR = 902 )
 902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_apr in configuration namelist', lwp )
-         IF(lwm) WRITE ( numond, namsbc_apr )
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_apr )
          !
          ALLOCATE( sf_apr(1), STAT=ierror )           !* allocate and fill sf_sst (forcing structure) with sn_sst
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_clio.F90	(revision 10759)
@@ -151,5 +151,5 @@
          READ  ( numnam_cfg, namsbc_clio, IOSTAT = ios, ERR = 902 )
 902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_clio in configuration namelist', lwp )
-         IF(lwm) WRITE ( numond, namsbc_clio )
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_clio )
 
          ! store namelist information in an array
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_core.F90	(revision 10759)
@@ -166,5 +166,5 @@
 902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_core in configuration namelist', lwp )
 
-         IF(lwm) WRITE( numond, namsbc_core )
+         IF(lwm .AND. nprint > 2) WRITE( numond, namsbc_core )
          !                                         ! check: do we plan to use ln_dm2dc with non-daily forcing?
          IF( ln_dm2dc .AND. sn_qsr%nfreqh /= 24 )   &
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_mfs.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_mfs.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk_mfs.F90	(revision 10759)
@@ -141,5 +141,5 @@
          READ  ( numnam_cfg, namsbc_mfs, IOSTAT = ios, ERR = 902 )
 902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_mfs in configuration namelist', lwp )
-         IF(lwm) WRITE ( numond, namsbc_mfs )
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_mfs )
          !
          ! store namelist information in an array
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 10759)
@@ -276,5 +276,5 @@
       READ  ( numnam_cfg, namsbc_cpl, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_cpl in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsbc_cpl )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_cpl )
 
       IF(lwp) THEN                        ! control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcflx.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcflx.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcflx.F90	(revision 10759)
@@ -98,5 +98,5 @@
          READ  ( numnam_cfg, namsbc_flx, IOSTAT = ios, ERR = 902 )
 902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_flx in configuration namelist', lwp )
-         IF(lwm) WRITE ( numond, namsbc_flx ) 
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_flx ) 
          !
          !                                         ! check: do we plan to use ln_dm2dc with non-daily forcing?
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_cice.F90	(revision 10759)
@@ -895,5 +895,5 @@
          READ  ( numnam_cfg, namsbc_cice, IOSTAT = ios, ERR = 902 )
 902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_cice in configuration namelist', lwp )
-         IF(lwm) WRITE ( numond, namsbc_cice )
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_cice )
 
          ! store namelist information in an array
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_if.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_if.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_if.F90	(revision 10759)
@@ -82,5 +82,5 @@
          READ  ( numnam_cfg, namsbc_iif, IOSTAT = ios, ERR = 902 )
 902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_iif in configuration namelist', lwp )
-         IF(lwm) WRITE ( numond, namsbc_iif )
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_iif )
 
          ALLOCATE( sf_ice(1), STAT=ierror )
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcisf.F90	(revision 10759)
@@ -110,5 +110,5 @@
          READ  ( numnam_cfg, namsbc_isf, IOSTAT = ios, ERR = 902 )
 902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_isf in configuration namelist', lwp )
-         IF(lwm) WRITE ( numond, namsbc_isf )
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_isf )
 
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 10759)
@@ -108,5 +108,5 @@
       READ  ( numnam_cfg, namsbc, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsbc )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc )
 
       !                          ! overwrite namelist parameter using CPP key information
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 10759)
@@ -282,5 +282,5 @@
       READ  ( numnam_cfg, namsbc_rnf, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_rnf in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsbc_rnf )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_rnf )
       !
       !                                         ! Control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcssr.F90	(revision 10759)
@@ -175,5 +175,5 @@
       READ  ( numnam_cfg, namsbc_ssr, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_ssr in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsbc_ssr )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_ssr )
 
       IF(lwp) THEN                 !* control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/sbcwave.F90	(revision 10759)
@@ -90,5 +90,5 @@
          READ  ( numnam_cfg, namsbc_wave, IOSTAT = ios, ERR = 902 )
 902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_wave in configuration namelist', lwp )
-         IF(lwm) WRITE ( numond, namsbc_wave )
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_wave )
          !
 
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SBC/tideini.F90	(revision 10759)
@@ -72,5 +72,5 @@
        READ  ( numnam_cfg, nam_tide, IOSTAT = ios, ERR = 902 )
 902    IF( ios /= 0 ) CALL ctl_nam ( ios , 'nam_tide in configuration namelist', lwp )
-       IF(lwm) WRITE ( numond, nam_tide )
+       IF(lwm .AND. nprint > 2) WRITE ( numond, nam_tide )
        !
        nb_harmo=0
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90	(revision 10759)
@@ -70,5 +70,5 @@
       READ  ( numnam_cfg, namsol, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsol in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsol )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsol )
 
       IF(lwp) THEN                  !* Control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/STO/stopar.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/STO/stopar.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/STO/stopar.F90	(revision 10759)
@@ -268,5 +268,5 @@
       READ  ( numnam_cfg, namsto, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsto in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsto )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsto )
 
       !IF(ln_ens_rst_in) cn_storst_in = cn_mem//cn_storst_in
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 10759)
@@ -1241,5 +1241,5 @@
       READ  ( numnam_cfg, nameos, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nameos in configuration namelist', lwp )
-      IF(lwm) WRITE( numond, nameos )
+      IF(lwm .AND. nprint > 2) WRITE( numond, nameos )
       !
       rau0        = 1026._wp                 !: volumic mass of reference     [kg/m3]
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 10759)
@@ -208,5 +208,5 @@
       READ  ( numnam_cfg, namtra_adv, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_adv in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namtra_adv )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namtra_adv )
 
       IF(lwp) THEN                    ! Namelist print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mle.F90	(revision 10759)
@@ -290,5 +290,5 @@
       READ  ( numnam_cfg, namtra_adv_mle, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_adv_mle in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namtra_adv_mle )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namtra_adv_mle )
 
       IF(lwp) THEN                     ! Namelist print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trabbc.F90	(revision 10759)
@@ -147,5 +147,5 @@
       READ  ( numnam_cfg, nambbc, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambbc in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nambbc )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nambbc )
 
       IF(lwp) THEN                     ! Control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 10759)
@@ -517,5 +517,5 @@
       READ  ( numnam_cfg, nambbl, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambbl in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nambbl )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nambbl )
       !
       l_bbl = .TRUE.                 !* flag to compute bbl coef and transport
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/tradmp.F90	(revision 10759)
@@ -203,5 +203,5 @@
       READ  ( numnam_cfg, namtra_dmp, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_dmp in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namtra_dmp )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namtra_dmp )
 
       IF(lwp) THEN                 !Namelist print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 10759)
@@ -438,5 +438,5 @@
       READ  ( numnam_cfg, namtra_qsr, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtra_qsr in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namtra_qsr )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namtra_qsr )
       !
       IF(lwp) THEN                ! control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdini.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdini.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdini.F90	(revision 10759)
@@ -54,5 +54,5 @@
       READ  ( numnam_cfg, namtrd, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrd in configuration namelist', lwp )
-      IF(lwm) WRITE( numond, namtrd )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namtrd )
       !
       IF(lwp) THEN                  ! control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdmxl.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdmxl.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/TRD/trdmxl.F90	(revision 10759)
@@ -764,5 +764,5 @@
       READ  ( numnam_cfg, namtrd_mxl, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namtrd_mxl in configuration namelist', lwp )
-      IF(lwm) WRITE( numond, namtrd_mxl )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namtrd_mxl )
       !
       IF(lwp) THEN                      ! control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfbfr.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfbfr.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfbfr.F90	(revision 10759)
@@ -257,5 +257,5 @@
       READ  ( numnam_cfg, nambfr, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambfr in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, nambfr )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, nambfr )
       IF(lwp) WRITE(numout,*)
       IF(lwp) WRITE(numout,*) 'zdf_bfr_init : momentum bottom friction'
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 10759)
@@ -246,5 +246,5 @@
       READ  ( numnam_cfg, namzdf_ddm, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_ddm in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzdf_ddm )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_ddm )
       !
       IF(lwp) THEN                    ! Parameter print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 10759)
@@ -881,5 +881,5 @@
       READ  ( numnam_cfg, namzdf_gls, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_gls in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzdf_gls )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_gls )
 
       IF(lwp) THEN                     !* Control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfini.F90	(revision 10759)
@@ -64,5 +64,5 @@
       READ  ( numnam_cfg, namzdf, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzdf )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf )
 
       IF(lwp) THEN               !* Parameter print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 10759)
@@ -1369,5 +1369,5 @@
       READ  ( numnam_cfg, namzdf_kpp, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_kpp in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzdf_kpp )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_kpp )
 
       IF(lwp) THEN                    ! Control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 10759)
@@ -470,5 +470,5 @@
          READ  ( numnam_cfg, namzdf_mldzint, IOSTAT = ios, ERR = 902 )
 902      IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_mldzint in configuration namelist', lwp )
-         IF(lwm) WRITE ( numond, namzdf_mldzint )
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_mldzint )
 
          IF( nn_mld_diag > 5 )   CALL ctl_stop( 'STOP', 'zdf_mxl_ini: Specify no more than 5 MLD definitions' )
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 10759)
@@ -260,5 +260,5 @@
       READ  ( numnam_cfg, namzdf_ric, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_ric in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzdf_ric )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_ric )
       !
       IF(lwp) THEN                   ! Control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 10759)
@@ -786,5 +786,5 @@
       READ  ( numnam_cfg, namzdf_tke, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_tke in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzdf_tke )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_tke )
       !
       ri_cri   = 2._wp    / ( 2._wp + rn_ediss / rn_ediff )   ! resulting critical Richardson number
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90	(revision 10759)
@@ -388,5 +388,5 @@
       READ  ( numnam_cfg, namzdf_tmx, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_tmx in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzdf_tmx )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_tmx )
 
       IF(lwp) THEN                   ! Control print
@@ -973,5 +973,5 @@
       READ  ( numnam_cfg, namzdf_tmx_new, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namzdf_tmx in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namzdf_tmx_new )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namzdf_tmx_new )
       !
       IF(lwp) THEN                  ! Control print
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 10759)
@@ -295,4 +295,6 @@
    ENDIF
 #endif
+      nprint    = nn_print          ! convert DOCTOR namelist names into OLD names
+      !do it here because output.namelist.dyn is opened before nprint was set earlier
       !
       !                             !--------------------------------------------!
@@ -342,5 +344,5 @@
       lwp = (narea == 1) .OR. ln_ctl                        ! control of all listing output print
 
-      IF(lwm) THEN
+      IF(lwm .AND. nprint > 2) THEN
          ! write merged namelists from earlier to output namelist now that the
          ! file has been opened in call to mynode. nammpp has already been
@@ -554,5 +556,4 @@
       ENDIF
       !
-      nprint    = nn_print          ! convert DOCTOR namelist names into OLD names
       nictls    = nn_ictls
       nictle    = nn_ictle
Index: branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/step.F90
===================================================================
--- branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 10754)
+++ branches/UKMO/dev_r5518_GO6_package_text_diagnostics/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 10759)
@@ -380,5 +380,5 @@
       IF( kstp == nit000   )   THEN
                  CALL iom_close( numror )     ! close input  ocean restart file
-         IF(lwm) CALL FLUSH    ( numond )     ! flush output namelist oce
+         IF(lwm .AND. numond /= -1) CALL FLUSH    ( numond )     ! flush output namelist oce
          IF( lwm.AND.numoni /= -1 ) CALL FLUSH    ( numoni )     ! flush output namelist ice
       ENDIF
